// This is an example config, to actually use it, copy it to ~/.xonotic/data on linux
// or the equivalent directory on your OS (https://xonotic.org/faq/#config).

// Two slashes start a comment until the end of the line.
// Surround settings with double quotes (e.g. cvar_name "some value") unless they're a single number or word.
// Cvar means console variable.
// Just "" means empty string.
// Semicolon separates commands (in console or in aliases).

// Search for settings and descriptions using the 'search' command in console
// or online: https://xonotic.org/tools/cacs/

g_tmayhem 1

//better weapon priority list for bots, meant for modes with no self damage, as a side effect bots become more suicidal as they want to walk up against each other for hugs
//set bot_ai_custom_weapon_priority_distances "500 1200"
set bot_ai_custom_weapon_priority_far   "devastator mortar crylink blaster electro hagar machinegun shotgun" 
set bot_ai_custom_weapon_priority_mid   "mortar devastator vortex crylink electro machinegun hagar shotgun blaster" 
set bot_ai_custom_weapon_priority_close "devastator mortar crylink machinegun hagar electro shotgun blaster vortex" 

alias noaimbottervortex "set bot_ai_custom_weapon_priority_far \"devastator mortar crylink blaster electro hagar machinegun shotgun\"" 
alias aimbottervortex "set bot_ai_custom_weapon_priority_far \"vorter devastator mortar crylink blaster electro hagar machinegun shotgun\"" 
noaimbottervortex

sv_curl_serverpackages_auto 1

set g_chat_flood_spl 0 "normal chat: seconds between lines to not count as flooding"
set g_chat_flood_lmax 69 "normal chat: maximum number of lines per chat message at once"
set g_chat_flood_burst 69 "normal chat: allow bursts of so many chat lines"
set g_chat_flood_spl_team 0 "team chat: seconds between lines to not count as flooding"
set g_chat_flood_lmax_team 69 "team chat: maximum number of lines per chat message at once"
set g_chat_flood_burst_team 69 "team chat: allow bursts of so many chat lines"
set g_chat_flood_spl_tell 0 "private chat: seconds between lines to not count as flooding"
set g_chat_flood_lmax_tell 69 "private chat: maximum number of lines per chat message at once"
set g_chat_flood_burst_tell 69 "private chat: allow bursts of so many chat lines"
set g_chat_flood_notify_flooder 1 "when 0, the flooder still can see his own message"

sys_ticrate 0.0166667 //60 tick rate for servers
g_norecoil 1 //no visual recoil for shots
g_shootfromeye 1 //shots originate from camera of the player
g_spawnshieldtime 0.5	//time for which players are protected after spawn

g_powerups_drop 1
g_powerups_drop_ondeath 1

alias bots "bot_number 2;minplayers 4;minplayers_per_team 2"
alias nobots "bot_number 0;minplayers 0;minplayers_per_team 0"
alias noruski "bot_number 0;minplayers 0;minplayers_per_team 0"

alias always1bots "bot_number 1"
alias always2bots "bot_number 2"
alias always3bots "bot_number 3"
alias always4bots "bot_number 4"
alias always5bots "bot_number 5"
alias always6bots "bot_number 6"

alias fillto12players "minplayers 12;minplayers_per_team 6"
alias fillto10players "minplayers 10;minplayers_per_team 5"
alias fillto8players "minplayers 8;minplayers_per_team 4"
alias fillto6players "minplayers 6;minplayers_per_team 3"
alias fillto4players "minplayers 4;minplayers_per_team 2"
alias fillto2players "minplayers 2;minplayers_per_team 1"

alias allweaponsarefine "g_mayhem_weaponarena \"blaster shotgun machinegun mortar electro crylink vortex devastator hagar\";g_tmayhem_weaponarena \"blaster shotgun machinegun mortar electro crylink vortex devastator hagar\";restart"
alias noshitscan "g_mayhem_weaponarena \"blaster mortar electro crylink devastator hagar\";g_tmayhem_weaponarena \"blaster mortar electro crylink devastator hagar\";restart"
alias mostweaponsarefine "g_mayhem_weaponarena most_available;g_mayhem_weaponarena most_available;restart"
mostweaponsarefine
alias addweapon "addtolist g_mayhem_weaponarena \"${*}\";addtolist g_tmayhem_weaponarena \"${*}\";restart"
alias removeweapon "removefromlist g_mayhem_weaponarena \"${1}\";removefromlist g_tmayhem_weaponarena \"${1}\";restart" //only first parameter since removefromlist doesn't support stuff like "blaster shotgun" for example even if it's in weaponarena like "blaster shotgun machinegun"

//alias removeblaster "removefromlist g_mayhem_weaponarena blaster;removefromlist g_tmayhem_weaponarena blaster;restart"
//alias addblaster "addtolist g_mayhem_weaponarena blaster;addtolist g_tmayhem_weaponarena blaster;restart"
//alias removeelectro "removefromlist g_mayhem_weaponarena electro;removefromlist g_tmayhem_weaponarena electro;restart"
//alias addelectro "addtolist g_mayhem_weaponarena electro;addtolist g_tmayhem_weaponarena electro;restart"
//alias addarc_removemachinegun_removehagar "addtolist g_mayhem_weaponarena arc;addtolist g_tmayhem_weaponarena arc;removefromlist g_mayhem_weaponarena machinegun;removefromlist g_tmayhem_weaponarena machinegun;removefromlist g_mayhem_weaponarena hagar;removefromlist g_tmayhem_weaponarena hagar;restart"
//alias removearc_addmachinegun_addhagar "removefromlist g_mayhem_weaponarena arc;removefromlist g_tmayhem_weaponarena arc;addtolist g_mayhem_weaponarena machinegun;addtolist g_tmayhem_weaponarena machinegun;addtolist g_mayhem_weaponarena hagar;addtolist g_tmayhem_weaponarena hagar;restart"
//alias removevortex "removefromlist g_mayhem_weaponarena vortex;removefromlist g_tmayhem_weaponarena vortex;restart"
//alias addvortex "addtolist g_mayhem_weaponarena vortex;addtolist g_tmayhem_weaponarena vortex;restart"

alias balance-testing "exec configs/drjaska/bal-wep-testing.cfg"
alias balance-jaska   "exec configs/drjaska/bal-wep-jaska.cfg"
alias balance-vanilla "exec bal-wep-xonotic.cfg"

alias disablepowerups "g_powerups 0"
alias enablepowerups "g_powerups -1"

alias 25frags75damage2score "g_mayhem_scoringmethod 1;g_tmayhem_scoringmethod 1"
alias damageonly2score "g_mayhem_scoringmethod 3;g_tmayhem_scoringmethod 3"
alias fragsonly2score "g_mayhem_scoringmethod 2;g_tmayhem_scoringmethod 2"

alias 999ammomax "g_pickup_shells_max 999;g_pickup_nails_max 999;g_pickup_rockets_max 999;g_pickup_cells_max 999;g_pickup_plasma_max 999;g_mayhem_start_ammo_shells 999;g_mayhem_start_ammo_nails 999;g_mayhem_start_ammo_rockets 999;g_mayhem_start_ammo_cells 999;g_mayhem_start_ammo_plasma 999;g_tmayhem_start_ammo_shells 999;g_tmayhem_start_ammo_nails 999;g_tmayhem_start_ammo_rockets 999;g_tmayhem_start_ammo_cells 999;g_tmayhem_start_ammo_plasma 999"
alias normalammomax "g_pickup_shells_max 60;g_pickup_nails_max 320;g_pickup_rockets_max 160;g_pickup_cells_max 180;g_pickup_plasma_max 180;g_mayhem_start_ammo_shells 60;g_mayhem_start_ammo_nails 320;g_mayhem_start_ammo_rockets 160;g_mayhem_start_ammo_cells 180;g_mayhem_start_ammo_plasma 180;g_tmayhem_start_ammo_shells 60;g_tmayhem_start_ammo_nails 320;g_tmayhem_start_ammo_rockets 160;g_tmayhem_start_ammo_cells 180;g_tmayhem_start_ammo_plasma 180"

alias 200mayhemhealth "g_balance_health_limit 200;g_mayhem_start_health 200;g_mayhem_start_armor 200;g_tmayhem_start_health 200;g_tmayhem_start_armor 200;g_balance_health_limit 200"
alias 400mayhemhealth "g_balance_health_limit 400;g_mayhem_start_health 400;g_mayhem_start_armor 0;g_tmayhem_start_health 400;g_tmayhem_start_armor 0;g_balance_health_limit 400"

alias enablevampiric "g_use_ammunition 0;g_vampire 1;g_vampire_factor 1.0;400mayhemhealth;fragsonly2score;999ammomax;restart"
alias disablevampiric "g_use_ammunition 1;g_vampire 0;g_vampire_factor 0.5;200mayhemhealth;25frags75damage2score;normalammomax;restart"

sv_vote_commands "balance-testing balance-vanilla enablevampiric disablevampiric 25frags75damage2score damageonly2score fragsonly2score balance-jaska noshitscan allweaponsarefine mostweaponsarefine fraglimit gotomap nextmap endmatch addweapon removeweapon restart kick cointoss shuffleteams disablepowerups enablepowerups nobots noruski bots always1bots always2bots always3bots always4bots always5bots always6bots fillto2players fillto4players fillto6players fillto8players fillto10players fillto12players aimbottervortex noaimbottervortex"

/////////////////////////////////////////////////////////////////////
// Things you SHOULD change to make the server "yours" (remove the // and change the value):

sv_hook_lastleave "25frags75damage2score;normalammomax;400mayhemhealth;disablevampiric;weaponbalancevanilla;mostweaponsarefine;enablepowerups;always2bots;fillto6players;noaimbottervortex"

sv_public 1	// 0 or -1 (see description) if the server should not be on the public servers list
//hostname "Dr. Jaska's Mayhem Server"	// this name will appear on the server list (the $g_xonoticversion gets replaced with the current version)

// displayed on connect - good place for contact info (IRC, forum nick, etc.) so players can reach you when something is wrong with your server
sv_motd "Contact Dr. Jaska about feedback."

// This sets the remote console password on the server, you also need to set the cvar to the same value on your client to use the 'rcon' command.
// Empty means rcon is disabled.
//rcon_password "rejoice))"

/////////////////////////////////////////////////////////////////////
// Everything below has some sensible defaults so you don't really need to change anything.
// It's meant as examples for people who want to customize the server more.
// The values shown are either defaults or examples (for up to date defaults, see 'search' (or 'apropos') in console.

maxplayers 24	// number of player slots on the server (including spectators)

//net_address 0.0.0.0	// ONLY change this if you have problems with your server. Specifies the network interface used by the engine.  Set it to one of your internal IPs

// You are RECOMMENDED to change this value to a free port number on your server
// above 1024. The reason is that some bad ISPs might filter "gaming" ports, and
// changing the port your server runs on may make your server available to these
// people. Changing the port breaks nothing, the default simply matches Quake as
// we use a Quake-derived protocol and didn't do our own IANA port assignment yet
// (if anyone wants to go through that process, we'd be glad).

g_start_delay 15	// delay before the game starts to let players join the server first

// List of maps to play on the server.  Set to "" to autodetect (which would enumerate ALL maps.  Maps that don't support the current game mode will be skipped, so you don't need to remove them here.
g_maplist ""
//duck these stock maps
//alias removeawfulmapsfrommaplist "g_maplist_remove \"erbium\";g_maplist_remove \"glowplant\";g_maplist_remove \"runningman\";g_maplist_remove \"runningmanctf\";g_maplist_remove \"oilrig\";g_maplist_remove \"original-toxicity\";g_maplist_remove \"drain\""
alias removeawfulmapsfrommaplist "" // bugged and removes random maps if exact match isn't found yay
g_maplist_remove "erbium" // too corridoor-y without any real team fight rooms.
g_maplist_remove "glowplant" // too mazy, bots don't navigate most parts and players mostly just get lost, cancer camp or search empty hallways
g_maplist_remove "runningman" // abomination
g_maplist_remove "runningmanctf" // abomination
g_maplist_remove "original-toxicity" //toxicity is good but this is ehh
g_maplist_remove "drain" //awful
g_maplist_shuffle 1	// 0 always selects the next map out of g_maplist (but then better set g_maplist_votable 0 below to prevent repetitive votes), 1 will select random maps each time
g_maplist_mostrecent_count 10	// number of maps that have to be played before a map can be repeated

alias sv_hook_gamestart_all "removeawfulmapsfrommaplist"

// LIMITS: how long a match will last before the next map starts (-1 means use the map default, 0 = unlimited, please note that the variables fraglimit/timelimit can NOT be globally used for this but only DURING a match is being played)
//timelimit_override -1	// global timelimit for all maps and gametypes
//fraglimit_override -1	// global frag/point limit for all maps and gametypes
//capturelimit_override -1	// capture limit for CTF
//g_domination_point_limit -1	// frag/point limit for DOM
//g_keyhunt_point_limit -1	// frag/point limit for KH
//g_lms_lives_override -1	// lives for LMS
//g_nexball_goallimit -1	// goals for NEXBALL

//g_ctf_ignore_frags 0	// set to 1 to ignore kills except for FC kills

// TEAMS for key hunt (change this to 2, 3, 4 to set a fixed keyhunt style)
//g_keyhunt_teams_override -1	// teams for KH

// GAME MODE: what type of server do you want to host?
// possible values: dm (deathmatch), tdm (team deathmatch), ctf (capture the flag), ca (clan arena), ft (freeze tag), kh (keyhunt), as (assault),
// dom (domination), lms (last man standing), ka (keepaway), inv (invasion), ons (onslaught), rc (race), cts (complete the stage), nb (nexball)
// gametype mayhem	// default gamemode

// TIPS: uncomment this if you want help messages on your server - one per match 20 seconds after the map loads
//alias sv_hook_gamestart_all "defer 20 help_next"



/////////////////////////////////////////////////////////////////////
// Some settings you MIGHT want to change.  Again IF so remove the //
// from the line start and change them to your liking.

skill 1337	// the bots skill level

// if changing either of these two minplayers settigs, you should consider editing the `bots` alias so that the `bots` vote adds the right number of bots
minplayers 4	// add bots if less then that number of players playing
minplayers_per_team 2 // add bots to each team if less than that number of players playing
bot_number 2


g_maxplayers 16 // above this player count, only allow spectators
bot_prefix [RUS]	// prepend this to all botnames
bot_suffix "(aimbot)"	// append this to all botnames
g_maplist_check_waypoints 1 // set this to 1 to skip maps without waypoints if there aren't enough players to play without bots

g_maplist_votable 9	// number of maps to vote between.  set to 0 to disable the map voting screen (please enable g_maplist_shuffle above when this is enabled, or votes will be repetitive)
g_maplist_votable_suggestions 6	// number of suggestions to accept using the suggestmap command
g_maplist_votable_abstain 1	// when 1, people get a "don't care" selection in the vote screen
g_maplist_votable_nodetail 0	// when 1, people can't see how many voted for what (to thwart abusive "influential" first votes)

sv_vote_gametype 1   	// set to 1 to enable voting for gametypes after every match
sv_vote_gametype_options "tmayhem mayhem"	// the gametypes to vote for, custom gametypes are supported (max 9 chars for the gametype identifier because sv_vote_gametype_hook_* can have max 31 chars)
//set sv_vote_gametype_mycustom_name "My Custom Mode"	// Name displayed for the custom gametype "mycustom" (replace "mycustom" with the name you set in sv_vote_gametype_options)
//set sv_vote_gametype_mycustom_type "ft"	// the basetype that the custom gametype is derived from
//set sv_vote_gametype_mycustom_description "This is my custom gametype"	// the description for the custom gametype
// Custom icons for custom gametypes are supported and have to be located in a server pk3 as gfx/menu/default/gametype_mycustom

//sv_vote_master_commands "movetored movetoblue movetoyellow movetopink"	// add commands masters can use if logged in or elected. You may want to put 'kickban' here, so masters can keep out punks. It may be good to also put "sv_status_privacy 0" then...
//rcon_restricted_commands "restart fraglimit chmap gotomap endmatch reducematchtime extendmatchtime allready kick kickban \"sv_cmd bans\" \"sv_cmd unban\" status \"sv_cmd teamstatus\" movetoauto movetored movetoblue movetoyellow movetopink"	// commands for the (stronger) rcon restricted
//rcon_restricted_password ""	// put here the password for a "restricted" rcon user (see below)

sv_vote_call 1	// 0 will disable the normal voting
//sv_vote_master 1	// 0 will disable voting to become master, good if you prefer to use the master password instead
//sv_vote_master_password ""	// when set, vlogin PWD will allow people to become master to run master commands directly using vdo
sv_vote_majority_factor 0.5	// What percentage of the PLAYERS constitute a majority to win a vote? must be at least 0.5
//sv_vote_majority_factor_of_voted 0	// What percentage of the VOTERS who already voted constitute a majority to win a vote? must be at least 0.5
// note: to JUST support simple majorities, set these two factors equal

//sv_maxidle 0	// idle time in seconds after which players will get kicked

sv_taunt 1	// 0 to disallow taunts
sv_autotaunt 1	// 0 to disallow autotaunts


/////////////////////////////////////////////////////////////////////
// Settings you MIGHT want to change for PRIVACY reasons.

sv_status_privacy 1	// 1 hides IP addresses from "status" replies shown to clients, 0 shows them.
// Enables players to identify wellknown punks on your server OR is a threat to anonymity.. depending on your point of view :)

// This line sends the following data to our servers:
// - Date and time
// - Your server IP address
// - Your server ID hash, which is a fingerprint of the public key of your
//   server and does not impact security of your private key (use "crypto_keys"
//   on the console to show it)
// - Your server name ("hostname")
// - Current game type
// - Current map
// - Balance settings you have modified from defaults (only those that make
//   your server "impure")
// - For each weapon pairing (A, B), separately for player-player, player-bot,
//   bot-player, bot-bot pairings:
//   - Number of hits of players/bots holding A against players/bots holding B
//   - Number of frags of players/bots holding A against players/bots holding B
//   - Total damage of players/bots holding A against players/bots holding B
//
// We use this data to:
// - Optimize the game balance for future releases
// - Identify problems in the bot AI and improving it
// - Find settings that make servers "impure" that should not, so we can
//   whitelist them in future releases
//
// We will or might publish:
// - Global weapon pairing statistics for players vs players, or bots vs bots,
//   or any vs any, on a selection of servers
// - Per-gametype and per-map weapon pairing statistics players vs players, or
//   bots vs bots, or any vs any, on a selection of servers
// - Lists of commonly changed cvars, together with counts on how often they
//   are modified
//
// No information about the players on the server is sent, so as a server admin
// you need no permission of your players for this.
//
// No information about your server will be published - all published data sets
// will include data from multiple servers.
//
sv_weaponstats_file ""
//sv_weaponstats_file "http://www.xonotic.org/weaponbalance/"

g_playerstats_gamereport_uri ""
//g_playerstats_gamereport_uri "http://stats.xonotic.org/stats/submit"


/////////////////////////////////////////////////////////////////////
// Some more advanced settings.  You probably are not interested in changing them at all.

//sv_ready_restart 0	// 1 to allow players to restart the map when all of them press the ready button
//sv_ready_restart_after_countdown 0	// if set to 1 the players and map items are reset after the countdown ended, otherwise they're reset already at the beginning of the countdown
//sv_ready_restart_repeatable 0	"allows the players to restart the game as often as needed
sv_autoscreenshot 0	// 1 will force a screenshot for all clients when the map ends.  Useful for competitions or the ladder.

g_antilag 2	// 0 to disable the antilag feature, 1 and 2 use different methods

//sv_maxrate 1000000	// limits client connections to this rate in bytes/seconds

// see Docs/mapdownload.txt for more info
//sv_curl_defaulturl http://dl.xonotic.fps.gratis/ //fallback download URL

sv_defaultcharacter 1	// 1 will force a specific model for all players
sv_defaultplayermodel "models/player/megaerebus.iqm"	// this model will be used
//sv_defaultplayerskin 1 // this skin number will be forced for all players
sv_defaultplayerskin 0	 // 1 <0.8.5, 0 >0.8.5 or those who don't use megaerebus will have darker models
//sv_defaultplayercolors ""	// you can even force player colors here (16*shirt+pants)
//g_fullbrightplayers 0	// 1 to make players fullbright
//g_fullbrightitems 0	// 1 to make items fullbright

//g_balance_teams 1	// 0 will show players the team selection menu after joining instead of automaticly putting them on the smaller team
g_balance_teams_prevent_imbalance 0	// 0 to prevent switchint to a bigger/begger team

//g_ban_sync_uri "http://46.38.241.138/~xonotic/bans/" // sync bans using this ban list provider (disabled by default, uncomment this line to enable)
//g_ban_sync_trusted_servers "" // accept bans that were initially set on the server IPs listed here (if not set, your bans are just sent to the sync URIs, but no bans are retrieved from there)




/////////////////////////////////////////////////////////////////////
// "Obvious" mutators that are allowed on a "pure" server
//g_instagib 0	// set to 1 for InstaGib
//g_weapon_stay 0 // set to 1, 2 or 3 for different weapon-stay modes (1 = traditional, 2 = no ammo but allow throwing, 3 = ghost weapon stay)
//g_powerups -1 // set to 0 to turn off strength/quad and shield/invincible, and set to 1 to turn them on even in game modes that normally have them turned off




/////////////////////////////////////////////////////////////////////
// Overkill mod settings

// To enable Overkill, put 'exec ruleset-overkill.cfg' at the top of this file (above any other cvar changes), don't use 'g_overkill 1' directly.




/////////////////////////////////////////////////////////////////////
// WARNING: anything below this line makes your server "impure"!

// enable some mutators you'd like
//g_cloaked 0	// set to 1 for transparent hard to see players
//g_grappling_hook 0	// set to 1 to enable the hook (allowed on "pure" server in InstaGib)
//g_jetpack 0	// set to 1 to enable the jetpack (allowed on "pure" server in InstaGib)
//g_midair 0	// set to 1 to make only midair damage count
//g_vampire 0	// set to 1 to give players the damage they cause as health
//sv_gravity 800	// for low gravity, set this somewhere between 50 and 400

// select AT MOST one of these arena mutators (if you didn't select g_instagib)
//g_nix is "0" ["0"] No Items Xonotic - instead of pickup items, everyone plays with the same weapon. After some time, a countdown will start, after which everyone will switch to another weapon, and so on
//g_nix_with_healtharmor is "0" ["0"] when 1, health and armor still show up in NIX
//g_nix_with_blaster is "1" ["0"] always carry the blaster as an additional weapon in NIX
//g_nix_with_powerups is "0" ["0"] when 1, powerups still show up in NIX
